%global gem_name faker

Name: rubygem-%{gem_name}
Version: 1.3.0
Release: 3.2%{?dist}
Summary: Easily generate fake data
Group: Development/Languages
License: MIT
URL: http://faker.rubyforge.org
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
%if 0%{fedora} < 21
Requires: ruby(release)
Requires: ruby(rubygems) 
Requires: rubygem(i18n) => 0.5
Requires: rubygem(i18n) < 1
%endif
BuildRequires: ruby(release)
BuildRequires: rubygems-devel 
BuildRequires: ruby 
BuildRequires: rubygem(i18n)
BuildRequires: rubygem(minitest) >= 4.3.0
BuildRequires: rubygem(minitest) < 5.0.0
BuildArch: noarch
%if 0%{fedora} < 21
Provides: rubygem(%{gem_name}) = %{version}
%endif

%description
Faker, a port of Data::Faker from Perl, is used to easily generate fake data:
names, addresses, phone numbers, etc.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/




%check
pushd ./%{gem_instdir}
testrb -Ilib -Itest test
popd

%files
%dir %{gem_instdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/License.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/test

%changelog
* Sun Dec 28 2014 Oleg Girko <ol@infoserver.lv> - 1.3.0
- Require minitest gem version 4 for build
- Require i18n gem for build
- Rebuilt for https://fedoraproject.org/wiki/Changes/Ruby_2.1
* Sun May 11 2014 Oleg Girko <ol@infoserver.lv> - 1.3.0
- Update to 1.3.0
* Mon Sep 23 2013 Oleg Girko <ol@infoserver.lv> - 1.1.2
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0
* Fri Jun  7 2013 Oleg Girko <ol@infoserver.lv> - 1.1.2-1
- Initial package
